/*	Author:		Magdin Stoica
	Supervisor: Dr. Ryan Leduc
	
	Project created in conformity with the requirements for the Degree of Master of Engineering in Software Engineering, 
	Computing and Software Department, 
	McMaster University
	2003 - 2007
*/

#pragma once

#include <QObject>
#include "ui_DesEditor.h"

class QGroupBox;
class QTreeWidget;

namespace DESpot
{

class DesEditorOutputUiPart : public QObject
{
	Q_OBJECT	

	public:
		DesEditorOutputUiPart(Ui::DesEditorUI* pUiContainer);
		virtual ~DesEditorOutputUiPart(void);

	public:
		void clear();
		void write(const QString& text);
		void writeLine(const QString& text);

	//Overridables__________________________________
	protected:
		virtual bool eventFilter(QObject* target, QEvent* event);

	//Implementation Methods________________________
	private:

	private:
		QGroupBox* m_pDesEditorOutputGBox;
		QTextEdit* m_pDesEditorOutputWidg;

};

} //end of namespace DESpot
